import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增用户
    addUser(data) {
        return request({
            url: '/system/user',
            method: 'post',
            data
        })
    },
    //更新用户
    editUser(data) {
        return request({
            url: '/system/user/edit',
            method: 'post',
            data
        })
    },
    //获取用户列表
    obtainUserList(data) {
        return request({
            url: '/system/user/list',
            method: 'get',
            params: data
        })
    },
    //获取用户详细
    obtainUserDetails(data) {
        return request({
            url: `/system/user/` + data,
            method: 'get',
        })
    },
}